#ifndef READYITEMREQUIREDPOLICY_H
#define READYITEMREQUIREDPOLICY_H

#include "policy.h"

class Item;

class ReadyItemRequiredPolicy : public Policy
{
public:
    explicit ReadyItemRequiredPolicy(const std::string& satisfaction, const std::string& dissatisfaction);
    virtual ~ReadyItemRequiredPolicy() override;

    virtual Policy::CheckResult check(const std::shared_ptr<Actor>& actor) const override;

    void setRequiredReadyItem(const std::shared_ptr<Item>& item);

private:
    std::shared_ptr<Item> _item;
};

#endif // READYITEMREQUIREDPOLICY_H
